Page MenuHomePhabricator

Create a "Wikidata-Gadgets" project
Closed, ResolvedPublic

Description

I would like to request a project to track issues and ideas for gadgets on Wikidata. People report issues on various pages (project chat, talk page of the gadget, talk pages of inactive users) on Wikidata, but it always takes weeks before things get fixed. On Phabricator, the community and the Wikidata staff can easily track the progress of a bug or can ask for most-used scripts to be converted to gadgets. I've had a short talk with @Lydia_Pintscher about this and she's okay with this. A project on Phabricator is in my opinion clearer than a WikiProject. Oh, and I would love to lead this project.

Name:
Wikidata-Gadgets

Description:
A central place about gadgets on Wikidata, report broken gadgets or add ideas for new gadgets.

Type of project:
Component

Policy:
Default

Event Timeline

Sjoerddebruin updated the task description. (Show Details)
Sjoerddebruin raised the priority of this task from to Needs Triage.
Sjoerddebruin added a project: Project-Admins.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2015, 2:04 PM
Ainali added a subscriber: Ainali.May 27 2015, 2:05 PM

Would be good to have imho to consolidate what's currently spread out over many places.

As I wrote in T85433, I'm generally opposed to tracking Gadget issues in Phabricator as long as there is no central codebase for gadgets (which is covered in T1238).
If I misunderstand and if this is project does have a well-defined and clear scope (is this only "gadgets on wikidata.org and nowhere else"? Or is this "gadgets on any sites and these gadgets interact with Wikidata"?) I'm happy to change my mind though. :)

This would be for gadgets on Wikidata only.

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.May 30 2015, 9:40 AM
Aklapper closed this task as Resolved.Jun 1 2015, 9:47 AM
Aklapper claimed this task.

Requested project has been created: Wikidata-Gadgets

Please encourage interested people to visit the project and to join the project as members, and to subscribe themselves to the project in order to receive updates!

Recommended practices for project and workboard management in Phabricator are available.

And if for some reason you ever want to rename the project, please check the guidelines first.

@Lydia_Pintscher: Question: Should I add Wikidata-Gadgets to H30 so the Wikidata umbrella project will get automatically added?

@Aklapper: That'd be great, yes. Thank you!